Bug 130785 - No way to exit from formula edit mode in LOOL Writer's table
Summary: No way to exit from formula edit mode in LOOL Writer's table
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice Online
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2020-02-19 21:29 UTC by Roman Kuznetsov
Modified: 2020-09-20 00:26 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2020-02-19 21:29:29 UTC
Description:
No way to exit from formula edit mode in LOOL Writer's table.



Steps to Reproduce:
1. Start Writer Online
2. Create a table
3. Click on any cell
4. On Sidebar click on Formula icon in Table section
5. It shows equal sign in cell
6. try click on other cells=> cell link in formula will be change, it's OK
7. try escape from formula edit mode...you can't! No way

In desktop version Esc key works for it and there is a formula bar with Cancel icon.

Actual Results:
No way to exit from formula edit mode in LOOL Writer's table

Expected Results:
There is a way to exit from formula edit mode in LOOL Writer's table


Reproducible: Always


User Profile Reset: No



Additional Info:
LOOLWSD
6.4.0
Served by: 77e7c177
LOKit
LibreOffice 6.4.1.1 (git hash: 40 (Buil)
Comment 1 Aron Budea 2020-02-22 04:23:40 UTC
I can confirm with a master/master build. Formula entry has been disabled in LOOL, but it appears the sidebar button specifically needs to be disabled.
Comment 2 Commit Notification 2020-09-18 08:38:49 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4b94023c5caf2b5cbffca2ff2f3abf7597d0cbb0

tdf#130785 Hide Insert Formula in online sidebar

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Aron Budea 2020-09-20 00:26:16 UTC
This is fixed now, thanks to Szymon Kłos.